Amazon Linux 2: binutils (ALAS-2023-2373)

medium Nessus プラグイン ID 186556

概要

リモートの Amazon Linux 2 ホストに、セキュリティ更新プログラムがありません。

説明

リモートホストにインストールされている binutils のバージョンは、2.29.1-31 より前です。したがって、ALAS2-2023-2373 のアドバイザリに記載されている脆弱性の影響を受けます。

-GNU Binutils 2.36で配布されているGNU libibertyに問題が見つかりました。これは、rust-demangle.c の demangle_type におけるスタックオーバーフローの問題です。(CVE-2021-32256)

Nessus はこの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ依存していることに注意してください。

ソリューション

「yum update binutils」を実行してシステムを更新してください。

参考資料

https://alas.aws.amazon.com/AL2/ALAS-2023-2373.html

https://alas.aws.amazon.com/cve/html/CVE-2021-32256.html

https://alas.aws.amazon.com/faqs.html

プラグインの詳細

深刻度: Medium

ID: 186556

ファイル名: al2_ALAS-2023-2373.nasl

バージョン: 1.1

タイプ: local

エージェント: unix

公開日: 2023/12/4

更新日: 2023/12/5

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: High

基本値: 7.8

現状値: 6.1

ベクトル: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

CVSS スコアのソース: CVE-2021-32256

CVSS v3

リスクファクター: Medium

基本値: 6.5

現状値: 5.9

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

現状ベクトル: CVSS:3.0/E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:amazon:linux:binutils-debuginfo, cpe:/o:amazon:linux:2, p-cpe:/a:amazon:linux:binutils, p-cpe:/a:amazon:linux:binutils-devel

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2023/11/29

脆弱性公開日: 2023/7/18

参照情報

CVE: CVE-2021-32256